Configure and manage DynDNS for a domain

Create a new DynDNS configuration for one of your domains. This is useful if you want your domain to point to a dynamically changing IP address. Upon successful configuration, a unique token is returned that is required to later update the DynDNS settings.

Domain Services Domains

Context

Where to get IDs / values

Workflow links

Produces

Path Parameters

domainId integer · min: 1 required Example: 4755

Unique domain identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
hostname string required · Example: example.com
record_type string required · Example: A

Responses

200
data object required
data.config object required
data.config.created_at string required · Example: 2026-02-10T00:00:00.000Z
data.config.enabled boolean required · Example: true
data.config.hostname string required · Example: example.com
data.config.id integer required · Example: 132
data.config.last_ip string · nullable required · Example: null

Nullable: may be null when not applicable.

data.config.last_update string · nullable required · Example: null

Nullable: may be null when not applicable.

data.config.record_type string required · Example: A
data.config.token string required · Example: YOUR_TOKEN
data.config.update_count integer required · Example: 0
data.message string required · Example: DynDNS configuration created successfully

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/domains/{domainId}/dyndns
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/domains/4755/dyndns" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "hostname": "example.com",
    "record_type": "A"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "config": {
      "id": 132,
      "hostname": "example.com",
      "record_type": "A",
      "token": "YOUR_TOKEN",
      "last_ip": null,
      "last_update": null,
      "update_count": 0,
      "enabled": true,
      "created_at": "2026-02-10T00:00:00.000Z"
    },
    "message": "DynDNS configuration created successfully"
  }
}
Request Body Example 1
{
  "hostname": "example.com",
  "record_type": "A"
}